#pragma once

#include <util/datetime/cputimer.h>
#include <library/cpp/logger/global/global.h>

class TTimerLog : public TLog {
public:
    TString Realm;
    TString MergerTask;
    TTimerLog(TString path, const TString& realm, const TString& mergerTask);
    TTimerLog(THolder<TLogBackend> backend, const TString& realm, const TString& mergerTask);
};

class TTimerWrapper {
public:
    TSimpleTimer Timer;
    TTimerLog& Log;
    TString Stage;
    TString Realm;
    TString MergerTask;

    TTimerWrapper(TTimerLog& log, TString stage);
    ~TTimerWrapper();
};
